{
  description = "A collection of godot";

  inputs = {
    nixpkgs.url = "github:nixos/nixpkgs?ref=nixos-unstable";
    flake-utils.url = "github:numtide/flake-utils";
  };

  outputs = { flake-utils, nixpkgs, ... }:
    flake-utils.lib.eachDefaultSystem (
      system: let
        pkgs = nixpkgs.legacyPackages.${system};
      in 
      {
        packages = rec {
          default = godot;
          godot = godot_4;
          godot_4 = pkgs.callPackage ./godot-withmodules.nix { godot = pkgs.godot_4; };
          godot_4-mono = pkgs.callPackage ./godot-withmodules.nix { godot = pkgs.godot_4-mono; };
        };
      });
}
